export declare type Maybe<T> = T | null;
export declare type Exact<T extends {
    [key: string]: unknown;
}> = {
    [K in keyof T]: T[K];
};
export declare type MakeOptional<T, K extends keyof T> = Omit<T, K> & {
    [SubKey in K]?: Maybe<T[SubKey]>;
};
export declare type MakeMaybe<T, K extends keyof T> = Omit<T, K> & {
    [SubKey in K]: Maybe<T[SubKey]>;
};
/** All built-in and custom scalars, mapped to their actual values */
export declare type Scalars = {
    ID: string;
    String: string;
    Boolean: boolean;
    Int: number;
    Float: number;
    Any: any;
    Timestamp: any;
    Int64: any;
};
export declare type Session = {
    __typename?: 'Session';
    id: Scalars['ID'];
    secure_id: Scalars['String'];
    organization_id: Scalars['ID'];
    project_id: Scalars['ID'];
};
export declare type StackFrameInput = {
    functionName?: Maybe<Scalars['String']>;
    args?: Maybe<Array<Maybe<Scalars['Any']>>>;
    fileName?: Maybe<Scalars['String']>;
    lineNumber?: Maybe<Scalars['Int']>;
    columnNumber?: Maybe<Scalars['Int']>;
    isEval?: Maybe<Scalars['Boolean']>;
    isNative?: Maybe<Scalars['Boolean']>;
    source?: Maybe<Scalars['String']>;
};
export declare type ErrorObjectInput = {
    event: Scalars['String'];
    type: Scalars['String'];
    url: Scalars['String'];
    source: Scalars['String'];
    lineNumber: Scalars['Int'];
    columnNumber: Scalars['Int'];
    stackTrace: Array<Maybe<StackFrameInput>>;
    timestamp: Scalars['Timestamp'];
    payload?: Maybe<Scalars['String']>;
};
export declare type ReplayEventsInput = {
    events: Array<Maybe<Scalars['Any']>>;
};
export declare type Mutation = {
    __typename?: 'Mutation';
    initializeSession?: Maybe<Session>;
    identifySession?: Maybe<Scalars['ID']>;
    addTrackProperties?: Maybe<Scalars['ID']>;
    addSessionProperties?: Maybe<Scalars['ID']>;
    pushPayload?: Maybe<Scalars['ID']>;
    addSessionFeedback: Scalars['ID'];
};
export declare type MutationInitializeSessionArgs = {
    organization_verbose_id: Scalars['String'];
    enable_strict_privacy: Scalars['Boolean'];
    enable_recording_network_contents: Scalars['Boolean'];
    clientVersion: Scalars['String'];
    firstloadVersion: Scalars['String'];
    clientConfig: Scalars['String'];
    environment: Scalars['String'];
    appVersion?: Maybe<Scalars['String']>;
    fingerprint: Scalars['String'];
};
export declare type MutationIdentifySessionArgs = {
    session_id: Scalars['ID'];
    user_identifier: Scalars['String'];
    user_object?: Maybe<Scalars['Any']>;
};
export declare type MutationAddTrackPropertiesArgs = {
    session_id: Scalars['ID'];
    properties_object?: Maybe<Scalars['Any']>;
};
export declare type MutationAddSessionPropertiesArgs = {
    session_id: Scalars['ID'];
    properties_object?: Maybe<Scalars['Any']>;
};
export declare type MutationPushPayloadArgs = {
    session_id: Scalars['ID'];
    events: ReplayEventsInput;
    messages: Scalars['String'];
    resources: Scalars['String'];
    errors: Array<Maybe<ErrorObjectInput>>;
};
export declare type MutationAddSessionFeedbackArgs = {
    session_id: Scalars['ID'];
    user_name?: Maybe<Scalars['String']>;
    user_email?: Maybe<Scalars['String']>;
    verbatim: Scalars['String'];
    timestamp: Scalars['Timestamp'];
};
export declare type Query = {
    __typename?: 'Query';
    ignore?: Maybe<Scalars['Any']>;
};
export declare type QueryIgnoreArgs = {
    id: Scalars['ID'];
};
